package com.ruoyi.benyun.job;

import com.ruoyi.benyun.mapper.WdInfoDao;
import com.ruoyi.benyun.utils.WdRedisStoreage;
import lombok.extern.slf4j.Slf4j;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class AnalyseJob implements Job {

    @Autowired
    WdRedisStoreage wdRedisStoreage;

    @Autowired
    WdInfoDao wdInfoDao;

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        System.out.println("大统计.....");
        wdRedisStoreage.writeWdGeoRedis2(new String[]{"1"});
        wdRedisStoreage.writeWdGeoRedis2(new String[]{"2","3","5"});
        System.out.println("大统计.....结束");
    }
}
